Update Schedule
curl --request PATCH \
--url https://api.sixtyfour.ai/schedules/{schedule_id} \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"cron_expression": "<string>",
"timezone": "<string>",
"description": "<string>",
"is_active": true
}
'import requests
url = "https://api.sixtyfour.ai/schedules/{schedule_id}"
payload = {
"name": "<string>",
"cron_expression": "<string>",
"timezone": "<string>",
"description": "<string>",
"is_active": True
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
cron_expression: '<string>',
timezone: '<string>',
description: '<string>',
is_active: true
})
};
fetch('https://api.sixtyfour.ai/schedules/{schedule_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"workflow_id": "<string>",
"name": "<string>",
"cron_expression": "<string>",
"timezone": "<string>",
"is_active": true,
"created_at": "<string>",
"updated_at": "<string>",
"description": "<string>",
"disabled_reason": "<string>",
"created_by": "<string>",
"api_key_id": 123,
"next_run_times": [
"<string>"
]
}{
"detail": "Invalid request body"
}{
"detail": "Invalid API key"
}{
"detail": "This organization no longer has access to Sixtyfour. Contact your representative at Sixtyfour."
}{
"detail": [
{
"loc": [
"body",
"target_company",
"domain"
],
"msg": "Field required",
"type": "missing",
"input": null,
"ctx": {}
}
]
}{
"detail": "Internal server error"
}Schedules
Update Schedule
Update a schedule. Reactivating a schedule that was auto-paused also transfers ownership.
PATCH
/
schedules
/
{schedule_id}
Update Schedule
Headers
Path Parameters
Body
application/json
Response
Successful Response
Was this page helpful?
⌘I